सामग्री पर जाएँ

Bria Product Dimensions

इंटीग्रेट करें

मॉडल id bria/product-dimensions
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "example",
    "dimensions": [
      {
        "name": "height",
        "position": "left",
        "unit": "cm",
        "value": 22
      },
      {
        "name": "width_bottom",
        "position": "bottom",
        "unit": "cm",
        "value": 7
      }
    ],
    "style": "default"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.04 40 API क्रेडिट · ≈ ₽4.22 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Bria AI इमेज एडिटिंग #stylized#transform#typography

माप संकेतों, वैकल्पिक शीर्षक, भार और क्षमता बैज वाली डाइमेंशन ग्राफ़िक में प्रोडक्ट फ़ोटो रेंडर करता है

Bria AI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

style •आवश्यक

रेंडरिंग के लिए उपयोग की गई शैली।

•आवश्यक

प्रोडक्ट इमेज इनपुट, जिसे सार्वजनिक रूप से सुलभ इमेज के लिंक से या उसके रॉ बाइट को base64 के रूप में एन्कोड करके दिया जाता है।

•आवश्यक

बनाए जाने वाले डाइमेंशन कॉलआउट; कम से कम एक प्रविष्टि आवश्यक है।

उन्नत title_position · output_format · units_display · title · background · output_size · proportional_lines · sync · weight · capacity
title_position डिफ़ॉल्ट top_center

ऊपर की ओर शीर्षक की स्थिति।

output_format डिफ़ॉल्ट png

रेंडर किए गए आउटपुट का चयन: png, jpeg, या dual, जो कंपोज़िट और पारदर्शी ओवरले दोनों लौटाता है।

units_display डिफ़ॉल्ट single

जब इकाइयाँ प्राथमिक और द्वितीयक दोनों रूपों में दी गई हों, तब लेबल दिखाने की शैली।

प्रोडक्ट के ऊपर दिखाया जाने वाला वैकल्पिक शीर्षक।

डिफ़ॉल्ट white

हेक्स मान या white, cream, या charcoal के रूप में निर्दिष्ट रंग।

डिफ़ॉल्ट 2200

वर्गाकार आउटपुट की प्रत्येक भुजा की पिक्सेल में लंबाई।

प्रोडक्ट के नीचे वज़न दिखाने वाला वैकल्पिक बैज।

प्रोडक्ट के नीचे क्षमता दिखाने वाला वैकल्पिक बैज।

POST /run/bria/product-dimensions?wait=20 कोटेशन → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/product-dimensions?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "example",
    "dimensions": [
      {
        "name": "height",
        "position": "left",
        "unit": "cm",
        "value": 22
      },
      {
        "name": "width_bottom",
        "position": "bottom",
        "unit": "cm",
        "value": 7
      }
    ],
    "style": "default"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Bria Product Dimensions के बारे में

एक प्रोडक्ट `image` और `dimensions` में कम से कम एक एंट्री लेकर, प्रोडक्ट के चारों ओर लेबल वाली माप रेखाएँ बनाता है। एक `style` (डिफ़ॉल्ट, childlike या elegant), अधिकतम 80 वर्णों का `title`, बैकग्राउंड रंग और 256 से 2200 पिक्सेल का वर्गाकार `output_size` चुनें। आउटपुट png, jpeg या पारदर्शी ओवरले वाले ड्युअल कंपोज़िट के रूप में हो सकता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
title_positionवैकल्पिक
प्रकारenum
डिफ़ॉल्टtop_center
top_lefttop_centertop_right
ऊपर की ओर शीर्षक की स्थिति।
proportional_linesवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
डाइमेंशन-लाइन की लंबाइयों को उनके माप के अनुपात में रखें।
syncवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्मित इमेज के लिए डिलीवरी मोड: true CDN लिंक के स्थान पर एम्बेडेड base64 डेटा चुनता है।
imageआवश्यक
प्रकारstring
प्रोडक्ट इमेज इनपुट, जिसे सार्वजनिक रूप से सुलभ इमेज के लिंक से या उसके रॉ बाइट को base64 के रूप में एन्कोड करके दिया जाता है।
dimensionsआवश्यक
प्रकारobject[]
बनाए जाने वाले डाइमेंशन कॉलआउट; कम से कम एक प्रविष्टि आवश्यक है।
dimensions[].nameआवश्यक
प्रकारenum
heightwidth_bottomwidth_top
दिखाया जाने वाला डाइमेंशन; लंबाई और गहराई जानबूझकर उपलब्ध नहीं हैं।
dimensions[].valueआवश्यक
प्रकारnumber
> 0
भौतिक माप का मान।
dimensions[].unitआवश्यक
प्रकारenum
mmcmmin"ft'
भौतिक माप के लिए उपयोग की गई इकाई।
dimensions[].positionवैकल्पिक
प्रकारenum
topbottomleftright
वह ओर जिस पर कॉलआउट दिखाई देता है। यदि छोड़ा गया हो, तो डाइमेंशन का नाम डिफ़ॉल्ट निर्धारित करता है।
styleआवश्यक
प्रकारenum
defaultchildlikeelegant
रेंडरिंग के लिए उपयोग की गई शैली।
titleवैकल्पिक
प्रकारstring | null
≤ 80 अक्षर
प्रोडक्ट के ऊपर दिखाया जाने वाला वैकल्पिक शीर्षक।
output_sizeवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2200
256 – 2,200
वर्गाकार आउटपुट की प्रत्येक भुजा की पिक्सेल में लंबाई।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
pngjpegdual
रेंडर किए गए आउटपुट का चयन: png, jpeg, या dual, जो कंपोज़िट और पारदर्शी ओवरले दोनों लौटाता है।
backgroundवैकल्पिक
प्रकारstring
डिफ़ॉल्टwhite
हेक्स मान या white, cream, या charcoal के रूप में निर्दिष्ट रंग।
units_displayवैकल्पिक
प्रकारenum
डिफ़ॉल्टsingle
singledual_bulletdual_slashdual_parens
जब इकाइयाँ प्राथमिक और द्वितीयक दोनों रूपों में दी गई हों, तब लेबल दिखाने की शैली।
weightवैकल्पिक
प्रकारobject
प्रोडक्ट के नीचे वज़न दिखाने वाला वैकल्पिक बैज।
weight.valueआवश्यक
प्रकारnumber
> 0
weight.unitआवश्यक
प्रकारenum
lbozgkg
weight.labelवैकल्पिक
प्रकारenum
डिफ़ॉल्टWeight
WeightNet Weight
capacityवैकल्पिक
प्रकारobject
प्रोडक्ट के नीचे क्षमता दिखाने वाला वैकल्पिक बैज।
capacity.valueआवश्यक
प्रकारnumber
> 0
capacity.unitआवश्यक
प्रकारenum
fl_ozmllqtgalcups
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/product-dimensions",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image": "example",
    "dimensions": [
      {
        "name": "height",
        "position": "left",
        "unit": "cm",
        "value": 22
      },
      {
        "name": "width_bottom",
        "position": "bottom",
        "unit": "cm",
        "value": 7
      }
    ],
    "style": "default"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "transparent_overlay": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}प्रोडक्ट के डाइमेंशन दिखाने वाली रेंडर की गई इमेज।
transparent_overlay
object {url, content_type, file_name, file_size, width, height} | nullपारदर्शी ओवरले, केवल तब शामिल किया जाता है जब output_format को dual पर सेट किया गया हो।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/bria/product-dimensions.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt